#include <bits/stdc++.h>
using namespace std;

int a, b, x, y;

int main()
{
	scanf("%d %d", &a, &b);
	scanf("%d %d", &x, &y);

	if(x < a && y < b)
		printf("?");
	if(x == a && y == b)
		printf("nijedan");
	if(x < a && y == b)
		printf("prvi");
	if(x == a && y < b)
		printf("drugi");

	return 0;
}